/v1/labels/{id}/publish
POST
/v1/labels/{id}/publish
const url = 'https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publish';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/labels/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publish \ --header 'Authorization: Bearer <token>'Publish a label through the server-side Action. Idempotent: an already-published label returns its existing short URL.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”Publish result with the e-label short URL
Media typeapplication/json
object
short_url
required
string
short_url_marketing
required
string | null
failed_formats
required
Array<object> | null
object
format_id
required
string format: uuid
reason
required
string
Examplegenerated
{ "short_url": "example", "short_url_marketing": "example", "failed_formats": [ { "format_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reason": "example" } ]}Missing or invalid bearer token
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Workspace cannot publish (plan or quota)
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Not a member of the workspace
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Label not found
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}Upstream error
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
number
detail
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}